### Method

# Gimp Item get_parasite_list

#### Declaration [src]

    gchar**
    gimp_item_get_parasite_list (
      GimpItem* item
    )

#### Description [src]

List all parasites.

Returns a list of all parasites currently attached the an item.

Available since: | 2.8

#### Return value

Returns: | An array of `utf8`

         The names of currently attached parasites.
         The returned value must be freed with g_strfreev().

| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.